PyCharm 3.0 no encuentra PyQt5

Tengo Python 3.3.2 instalado (versiones x86 y x64) y PyQt5.1 instalado encima de ellos.

Recientemente instalé PyCharm 3.0 Community Edition y configuré para trabajar con estos intérpretes de Python. El problema es que PyQt5 no se muestra en la lista de paquetes instalados y la documentación no funciona (tanto Ctrl+Space para autocompletar como Ctrl+Q para documentos).

Cuando PyCharm está intentando generar la generación de esqueletos, parece que procesa PyQt pero no sirve de nada. Cuando bash instalar PyQt usando el sistema de paquetes dentro de PyCharm, me aparece el siguiente error:

 C:\Program Files (x86)\PyCharm3.0\helpers\packaging_tool.py run on 10/06/13 13:58:52 Downloading/unpacking PyQt5 Getting page https://pypi.python.org/simple/PyQt5/ URLs to search for versions for PyQt5: https://pypi.python.org/simple/PyQt5/ Analyzing links from page https://pypi.python.org/simple/PyQt5/ Could not find any downloads that satisfy the requirement PyQt5 No distributions at all found for PyQt5 Exception information: Traceback (most recent call last): File "C:\Python\332_x64\lib\site-packages\pip-1.4.1-py3.3.egg\pip\basecommand.py", line 134, in main status = self.run(options, args) File "C:\Python\332_x64\lib\site-packages\pip-1.4.1-py3.3.egg\pip\commands\install.py", line 236, in run requirement_set.prepare_files(finder, force_root_egg_info=self.bundle, bundle=self.bundle) File "C:\Python\332_x64\lib\site-packages\pip-1.4.1-py3.3.egg\pip\req.py", line 1085, in prepare_files url = finder.find_requirement(req_to_install, upgrade=self.upgrade) File "C:\Python\332_x64\lib\site-packages\pip-1.4.1-py3.3.egg\pip\index.py", line 265, in find_requirement raise DistributionNotFound('No distributions at all found for %s' % req) 

pip.exceptions.DistributionNotFound: No se encontraron distribuciones para PyQt5

Pero parece que este es un problema no relacionado.

PyQt5 se instala con el instalador binario. El sistema es Win 7 x64.

Actualización: he encontrado que el registro de un índice anterior no es válido. Traté de hacer que las cosas funcionen. El registro no contiene errores o advertencias sobre PyQt. Específicamente se lee como sigue:

 INFO - .skeletons.PySkeletonRefresher - Home path is C:\Program Files (x86)\PyCharm3.0 INFO - .skeletons.PySkeletonRefresher - Pregenerated skeletons root is C:\Program Files (x86)\PyCharm3.0\skeletons INFO - .skeletons.PySkeletonRefresher - Not found pregenerated skeletons at C:\Program Files (x86)\PyCharm3.0\skeletons\skeletons-win-386-python-3.3.2.zip INFO - .skeletons.PySkeletonGenerator - Rebuilding builtin skeletons took 10947 ms INFO - .skeletons.PySkeletonRefresher - Skeleton for PyQt5.QAxContainer  INFO - .skeletons.PySkeletonRefresher - Skeleton for PyQt5._QOpenGLFunctions_ES2 

Tal vez algún problema radica en la herramienta de embalaje:

 INFO - packaging.PyPackageManagerImpl - Running packaging tool: C:/Python/332_x64/python.exe C:\Program Files (x86)\PyCharm3.0\helpers\packaging_tool.py list 

Pero no hay errores reportados todavía.

No se pudo instalar en pip tampoco, pero la construcción desde el origen funcionó bien para mí. Como se mencionó en el comentario, el archivo .exe no viene con documentación y creo que a pycharm no le gustaría eso porque qt es c ++. Descargar aquí .

introduzca la descripción de la imagen aquí

Si no desea comstackr desde la fuente, verifique dónde instaló el archivo exe qt5. Probablemente la instalación salió bien pero el directorio instalado no está en la ruta.